package test;

import utils.HttpRequest;
import utils.MD5;

public class MainTest {
	/**
	 * 信签服务器地址
	 */
	public static final String SERVER_URL = "https://test.tosign.cn/tosignserver/";
	/**
	 * 信签服务器对接应用ID
	 */
	public static final String APP_ID = "";
	/**
	 * 信签服务器对接应用密钥
	 */
	public static final String APP_SECURITY = "";
	
	/**
	 * 测试签署用户编码
	 */
	public static final String SIGNER_CODE= "";//自定义
	
	/**
	 * 模板创建合同使用的模板编码
	 */
	public static final String CONTRACT_TPL_CODE= ""; //自定义
	
	
	
	
	
	public static void main(String[] args) {
		
	}
	
	
	/**
	 * 生成信签请求操作对象
	 * @param url
	 * @return
	 */
	public static HttpRequest createHttpRequest(String url){
		String requestUrl = url;
		
		if(!url.toUpperCase().startsWith("HTTP")){
		
			if(SERVER_URL.endsWith("/")){
				requestUrl =  SERVER_URL.substring(0, SERVER_URL.length()-1)+url;
			}else{
				requestUrl = SERVER_URL+url;
			}
		}
		HttpRequest httpRequest = new HttpRequest(requestUrl);
		
		/**
		 * 如果是云服务，需要添加应用id到header
		 * 如果是私有云，可以不用设置
		 */
		httpRequest.addHeader("appid", APP_ID);
		String  time = System.currentTimeMillis()+"";
		httpRequest.addHeader("time", time);
		httpRequest.addHeader("sign", MD5.toMD5(APP_ID+"."+time+'.'+APP_SECURITY));
		
		return httpRequest;
		
	}
	
	
}
