package test;

import java.io.IOException;

import test.contract.ContractTest;
import test.signer.SignerTest;

import com.alibaba.fastjson.JSONObject;

/**
 * 非模板签署场景
 * @author Mark
 *
 */
public class Sample2Main {
	public static void main(String[] args) throws IOException {
		// 基本数据
		String signer_code = "0001"; // 个人用户编码
		String signer_name = "测试个人用户"; // 个人用户名称
		String signer_phone = "18720978491"; // 个人用户手机号码
		String signer_idcode = "360425199207113419"; //个人用户证件编号(以身份证号码为例)
		
		String enterprise_code = "0002"; // 企业用户编码
		String enterprise_name = "测试企业用户"; // 企业用户名称
		String enterprise_phone = "18720978491"; // 企业用户手机号码
		String enterprise_idcode = "9136010674853060XM"; //企业用户证件编号(以社会信用代码为例)
		
		String signer_seal_code = "0001001"; 		// 用户的印章编码
		String signer_seal_name = "测试个人用户签章"; 	// 用户的印章编码
		String enterprise_seal_code = "0002002"; 	// 企业的印章编码
		String enterprise_seal_name = "测试企业用户签章"; // 用户的印章编码
		
		String contract_id = "2020031603"; //自定义合同编号
		
		/*******************
		 * 首先在 MainTest.java，设置好APP_ID，APP_SECURITY，SERVER_URL,CONTRACT_TPL_CODE参数值
		 * *********************************/
		/**********1.注册用户******************/
		// 【注册个人用户】
		JSONObject json = SignerTest.registerPersonlSigner(signer_code , signer_name , signer_idcode,signer_phone);
		System.out.println("注册个人用户接口返回信息："+json);
		// 【注册企业用户】
		json = SignerTest.registerEnterpriseSigner(enterprise_code , enterprise_name , enterprise_idcode,enterprise_phone);
		System.out.println("注册企业用户接口返回信息："+json);
		
		/**********2.创建印章******************/
		// 【个人用户创建印章】
		json = SignerTest.createSeal(signer_code, signer_seal_code, signer_seal_name);
		System.out.println("个人用户创建印章接口返回信息："+json);
		// 【企业用户创建印章】
		json = SignerTest.createSeal(enterprise_code, enterprise_seal_code, enterprise_seal_name);
		System.out.println("企业用户创建印章接口返回信息："+json);
		
		/**********3.创建模板，合同模板发起******************/
		//调用合同模板发起接口
		json = ContractTest.createContract(contract_id);
		System.out.println("合同发起接口返回结果："+json);
		
		
		/**********5.用户调用签署接口完成签署******************/
		json = ContractTest.signContract(contract_id, signer_code);
		System.out.println("用户签署接口返回结果："+json);
		//json = ContractTest.signContract(contract_id, enterprise_code);
		//System.out.println("企业用户签署接口返回结果："+json);
	}
}
