package test.contract;

import java.io.IOException;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

import com.alibaba.fastjson.JSONObject;

import test.MainTest;
import utils.HttpRequest;

/**
 * 文档签名接口
 * @author Administrator
 *
 */
public class ContractDocTest {
	public static void main(String[] args) throws IOException {
		//合同编号是唯一
		String contractid = "自定义合同编号";
		HttpRequest request = MainTest.createHttpRequest("/api/cnt/sign");
		InputStream is = null;
		try{
			is = ContractTest.class.getResourceAsStream("/demo.pdf");
			request.addInputStream("docx_file", "demo.pdf", is);
			request.addParam("contract_name", "测试合同");
			request.addParam("contract_id", contractid);
			request.addParam("biz_id", UUID.randomUUID().toString().replaceAll("-", ""));
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
			//设置业务时间参数
			request.addParam("biz_time", sdf.format(new Date()));
			//设置签署人的编码
			request.addParam("signer_info", "[{code:\"用户编码\",seal_code:\"\" , fontsize:50,offsetX:100,y:123,x:100}]" );
			//在第一页的以左下角为原点偏移
			//request.addParam("signatures", "[{ y:680,x:200,pageno:\"1\"}]");
			
			request.send();
			JSONObject json = JSONObject.parseObject(request.resultToString());
			System.out.println("合同签署接口返回结果："+json);
			//签署成功
			if(json.getInteger("code") == 1){
				ContractWithTemplateTest.downFiles(json.getJSONArray("record_saved_urls"), "d:/"+contractid);
			}
		}finally{
			if(is!=null){
				is.close();
			}
		}
	}
	
}
