package test.docdeal;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

import test.MainTest;
import utils.HttpRequest;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * 文档转换接口
 * @author Administrator
 *
 */
public class DocConvertPdfTest {
	public static void main(String[] args) throws IOException {
		docx_to_pdf("d:/test.pdf");
	}
	
	
	/**
	 * office转换PDF
	 * @param saveFile
	 * @throws IOException
	 */
	public static void ms_to_pdf(String saveFile) throws IOException{
		HttpRequest request = MainTest.createHttpRequest("/api/cnt/msToPDF");
		InputStream is = null;
		try{
			is = DocConvertPdfTest.class.getResourceAsStream("/demo.doc");
			request.addInputStream("ms_file", "demo.doc", is);
			request.send();
			int code = request.getResponseCode();
			System.out.println("状态码："+code);
			if(code==200){
				System.out.println("生成成功");
				FileOutputStream fos = null;
				try{
					File file  = new File(saveFile);
					file.getParentFile().mkdirs();
					fos = new FileOutputStream(file);
					System.out.println("保存文件至："+saveFile);
					request.result(fos);
				}finally{
					if(fos!=null){
						fos.close();
					}
				}
			}else{
				System.out.println("错误信息："+request.resultToString());
			}
			
		}finally{
			if(is!=null){
				is.close();
			}
		}
	}
	
	/**
	 * docx模板文件数据填充生成PDF
	 * @param saveFile
	 * @throws IOException
	 */
	public static void docx_to_pdf(String saveFile) throws IOException{
		HttpRequest request = MainTest.createHttpRequest("/api/cnt/docxToPDF");
		InputStream is = null;
		try{
			is = DocConvertPdfTest.class.getResourceAsStream("/demo2.docx");
			request.addInputStream("docx_file", "demo.docx", is);
			
			//{"姓名":"李东长","cardname_ID":"360111198708080899","year":"2018","month":"01","day":"01"}
			JSONObject docx_metadata = new JSONObject(true);
			docx_metadata.put("姓名", "李东长");
			docx_metadata.put("cardname_ID", "360111198708080899");
			docx_metadata.put("year", "2018");
			docx_metadata.put("month", "01");
			docx_metadata.put("day", "01");
			
			
			//设置是否选中字符(office/WPS转换模式可用)
			docx_metadata.put("checkbox1", "□");
			docx_metadata.put("checkbox2", "☑");
			docx_metadata.put("checkbox3", "☒");
			
			//表格行内遍历
			JSONArray rows  = new JSONArray();
			JSONObject row1 = new JSONObject();
			row1.put("idtype", "身份证");
			row1.put("idcode", "360111123654789587");
			rows.add(row1);
			
			JSONObject row2 = new JSONObject();
			row2.put("idtype", "驾驶证");
			row2.put("idcode", "987456123456789");
			rows.add(row2);
			
			docx_metadata.put("item", rows);
			
			System.out.println(JSONObject.toJSONString(docx_metadata, true));
			
			request.addParam("docx_metadata",JSONObject.toJSONString(docx_metadata, true));
			request.send();
			int code = request.getResponseCode();
			System.out.println("状态码："+code);
			if(code==200){
				System.out.println("生成成功");
				FileOutputStream fos = null;
				try{
					File file  = new File(saveFile);
					file.getParentFile().mkdirs();
					fos = new FileOutputStream(file);
					System.out.println("保存文件至："+saveFile);
					request.result(fos);
				}finally{
					if(fos!=null){
						fos.close();
					}
				}
			}else{
				System.out.println("错误信息："+request.resultToString());
			}
			
		}finally{
			if(is!=null){
				is.close();
			}
		}
	}
	
	/**
	 * xml模板文件数据填充生成PDF
	 * @param saveFile
	 * @throws IOException
	 */
	public static void xml_to_pdf(String saveFile) throws IOException{
		HttpRequest request = MainTest.createHttpRequest("/api/cnt/xmlToPDF");
		InputStream is = null;
		try{
			is = DocConvertPdfTest.class.getResourceAsStream("/demo.xml");
			request.addInputStream("xml_file", "demo.xml", is);
			
			//{"姓名":"李东长","cardname_ID":"360111198708080899","year":"2018","month":"01","day":"01"}
			JSONObject xml_metadata = new JSONObject(true);
			xml_metadata.put("姓名", "李东长");
			xml_metadata.put("cardname_ID", "360111198708080899");
			xml_metadata.put("year", "2018");
			xml_metadata.put("month", "01");
			xml_metadata.put("day", "01");
			
			request.addParam("xml_metadata",xml_metadata.toJSONString());
			request.send();
			int code = request.getResponseCode();
			System.out.println("状态码："+code);
			if(code==200){
				System.out.println("生成成功");
				FileOutputStream fos = null;
				try{
					File file  = new File(saveFile);
					file.getParentFile().mkdirs();
					fos = new FileOutputStream(file);
					System.out.println("保存文件至："+saveFile);
					request.result(fos);
				}finally{
					if(fos!=null){
						fos.close();
					}
				}
			}else{
				System.out.println("错误信息："+request.resultToString());
			}
			
		}finally{
			if(is!=null){
				is.close();
			}
		}
	}
}
